import request from '@/utils/new-request'
import { exportExcelNew } from '@/utils/filedown'

export function _getEFFinanceBillGroup(data) {
  return request({
    url: '/Finance/GetEFFinanceBillGroup',
    method: 'post',
    timeout: 60 * 1000,
    data
  })
}

export function _getEFFinanceBillGroupAsCustomer(data) {
  return request({
    url: '/Finance/GetEFFinanceBillGroupAsCustomer',
    method: 'post',
    timeout: 60 * 1000,
    data
  })
}

export function _getEFFinanceBillGroupAsChannel(data) {
  return request({
    url: '/Finance/GetEFFinanceBillGroupAsChannel',
    method: 'post',
    timeout: 60 * 1000,
    data
  })
}

export function _getFinanceBillDetailWeightDifferenceGroup(data) {
  return request({
    url: '/Finance/getFinanceBillDetailWeightDifferenceGroup',
    method: 'post',
    timeout: 60 * 1000,
    data
  })
}

export function _outEFFinanceBillDatail(data) {
  exportExcelNew('/Finance/GetEFFinanceBillDetails', data, 'post')
}

export function _getFinanceBillGroup(data) {
  return request({
    url: '/Finance/GetFinanceBillGroup',
    method: 'post',
    timeout: 60 * 1000,
    data
  })
}

export function _getFinanceBillGroupAsCustomer(data) {
  return request({
    url: '/Finance/GetFinanceBillGroupAsCustomer',
    method: 'post',
    timeout: 60 * 1000,
    data
  })
}

export function _getFinanceBillGroupAsChannel(data) {
  return request({
    url: '/Finance/GetFinanceBillGroupAsChannel',
    method: 'post',
    timeout: 60 * 1000,
    data
  })
}

export function _outFinanceBillDatail(data) {
  exportExcelNew('/Finance/GetFinanceBillDetails', data, 'post')
}

export function _outFinanceBillDetailWeightDifferenceDetails(data) {
  exportExcelNew('/Finance/OutFinanceBillDetailWeightDifferenceDetails', data, 'post')
}

export function _getCompletionRate(data) {
  return request({
    url: '/Finance/getCompletionRate',
    method: 'post',
    timeout: 60 * 1000,
    data
  })
}

